# EW

一款基本能正常运行的《Love Live! 学园偶像祭2 MIRACLE LIVE!》服务器程序

## 构建

### Linux

#### 环境要求
- [perl](https://www.perl.org/get.html) (这通常是预装的)
- [rust](https://www.rust-lang.org/tools/install)
- [npm](https://www.npmjs.com/)
- [libssl-dev](https://packages.debian.org/buster/libssl-dev) (这在不同的发行版中会有所不同)

`apt install -y npm libssl-dev perl`

### Windows

#### 环境要求
- [Strawberry Perl](https://strawberryperl.com/)
- [rust](https://www.rust-lang.org/tools/install)

### 打包/运行

**编译WebUI**
`cd webui && npm install && npm run build`

**编译Rust**
Debug: `cargo run`
Release: `cargo build --release --jobs=16`
