use json::{JsonValue, object};
use actix_web::{HttpRequest};

use crate::{encryption, logger};

pub fn error(_req: HttpRequest, body: String) -> Option<JsonValue> {
    let body = json::parse(&encryption::decrypt_packet(&body).unwrap()).unwrap();

    logger::error(&format!("client error: {}", body["code"]));
    
    Some(object!{})
}
